package com.gingersoft.gsa.cloud.bean.app.payment.bean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019-11-15
 * 修订历史：2019-11-15
 * 描述：
 */
public class WaitRequest {

    private int id;
    private String type;
    private String orderId;
    private String payId;

    //支付所需
    private String orderXml;

    //調整貼士所需
    private String TXN_ID = "";
    private double tipAmount = 0.0;

    //清机所需
    private String settlementTime;

    //公共字段
    private String MachineCode;
    private String LoginID;
    private String LoginName;
    private String SessionID;
    private String Station_id;
    private String ShopID;


    public WaitRequest() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPayId() {
        return payId;
    }

    public String getOrderXml() {
        return orderXml;
    }

    public void setOrderXml(String orderXml) {
        this.orderXml = orderXml;
    }

    public String getTXN_ID() {
        return TXN_ID;
    }

    public void setTXN_ID(String TXN_ID) {
        this.TXN_ID = TXN_ID;
    }

    public double getTipAmount() {
        return tipAmount;
    }

    public void setTipAmount(double tipAmount) {
        this.tipAmount = tipAmount;
    }

    public void setPayId(String payId) {
        this.payId = payId;
    }

    public String getMachineCode() {
        return MachineCode;
    }

    public void setMachineCode(String machineCode) {
        MachineCode = machineCode;
    }

    public String getLoginID() {
        return LoginID;
    }

    public void setLoginID(String loginID) {
        LoginID = loginID;
    }

    public String getSessionID() {
        return SessionID;
    }

    public void setSessionID(String sessionID) {
        SessionID = sessionID;
    }

    public String getLoginName() {
        return LoginName;
    }

    public void setLoginName(String loginName) {
        LoginName = loginName;
    }

    public String getShopID() {
        return ShopID;
    }

    public void setShopID(String shopID) {
        ShopID = shopID;
    }

    public String getStation_id() {
        return Station_id;
    }

    public void setStation_id(String station_id) {
        Station_id = station_id;
    }

    public String getSettlementTime() {
        return settlementTime;
    }

    public void setSettlementTime(String settlementTime) {
        this.settlementTime = settlementTime;
    }

    @Override
    public String toString() {
        return "WaitRequest{" +
                "id=" + id +
                ", type='" + type + '\'' +
                ", orderId='" + orderId + '\'' +
                ", payId='" + payId + '\'' +
                ", orderXml='" + orderXml + '\'' +
                ", TXN_ID='" + TXN_ID + '\'' +
                ", tipAmount=" + tipAmount +
                ", MachineCode='" + MachineCode + '\'' +
                ", LoginID='" + LoginID + '\'' +
                ", LoginName='" + LoginName + '\'' +
                ", SessionID='" + SessionID + '\'' +
                ", Station_id='" + Station_id + '\'' +
                ", ShopID='" + ShopID + '\'' +
                '}';
    }
}
